## gkrellshoot 0.4.3

=== Makefile ===
GTK_INCLUDE = `pkg-config gtk+-2.0 --cflags`
GTK_LIB = `pkg-config gtk+-2.0 --libs`

FLAGS = -O2 -Wall -fPIC $(GTK_INCLUDE) 
LIBS = $(GTK_LIB) 
LFLAGS = -shared

CC = gcc $(CFLAGS) $(FLAGS)

OBJS = gkrellshoot.o

gkrellshoot.so: $(OBJS)
	$(CC) $(OBJS) -o gkrellshoot.so $(LFLAGS) $(LIBS) 

clean:
	rm -f *.o core *.so* *.bak *~

gkrellshoot.o: gkrellshoot.c

install:
	if [ -d /usr/local/lib/gkrellm2/plugins/ ] ; then \
		install -c -s -m 644 gkrellshoot.so /usr/local/lib/gkrellm2/plugins/ ; \
	elif [ -d /usr/lib/gkrellm2/plugins/ ] ; then \
        	install -c -s -m 644 gkrellshoot.so /usr/lib/gkrellm2/plugins/ ; \
	else \
		install -D -c -s -m 644 gkrellshoot.so /usr/lib/gkrellm2/plugins/gkrellshoot.so ; \
	fi
userinstall:
	if [ -d $(HOME)/.gkrellm2/plugins/ ] ; then \
		install -C -s -m 644 gkrellshoot.so $(HOME)/.gkrellm2/plugins/ ; \
	else \
		install -D -C -s -m 644 gkrellshoot.so $(HOME)/.gkrellm2/plugins/gkrellshoot.so ; \
	fi

uninstall:
	rm -f /usr/local/lib/gkrellm2/plugins/gkrellshoot.so
	rm -f /usr/lib/gkrellm2/plugins/gkrellshoot.so
	rm -f $(HOME)/.gkrellm2/plugins/gkrellshoot.so

## gkrellshoot 0.4.4

=== Makefile ===
--- 
+++ 
@@ -27,9 +27,9 @@
 	fi
 userinstall:
 	if [ -d $(HOME)/.gkrellm2/plugins/ ] ; then \
-		install -C -s -m 644 gkrellshoot.so $(HOME)/.gkrellm2/plugins/ ; \
+		install -c -s -m 644 gkrellshoot.so $(HOME)/.gkrellm2/plugins/ ; \
 	else \
-		install -D -C -s -m 644 gkrellshoot.so $(HOME)/.gkrellm2/plugins/gkrellshoot.so ; \
+		install -D -c -s -m 644 gkrellshoot.so $(HOME)/.gkrellm2/plugins/gkrellshoot.so ; \
 	fi
 
 uninstall:

=== debian/changelog ===
gkrellshoot (0.4.4-5) unstable; urgency=medium

  * Build with -std=gnu17 to workaround FTBFS with GCC 15
    in GKrellM headers. (Closes: #1114126)
  * Add cross building changes from Helmut Grohne. (Closes: #958219)

 -- Adrian Bunk <bunk@debian.org>  Sat, 04 Oct 2025 21:24:38 +0300

gkrellshoot (0.4.4-4) unstable; urgency=medium

  * Fix FTBFS wth gcc 14. (Closes: #1075008)

 -- Adrian Bunk <bunk@debian.org>  Fri, 11 Apr 2025 13:08:16 +0300

gkrellshoot (0.4.4-3) unstable; urgency=medium

  * New maintainer.
  * Add Homepage.

 -- Adrian Bunk <bunk@debian.org>  Tue, 02 Mar 2021 14:24:05 +0200

gkrellshoot (0.4.4-2) unstable; urgency=medium

  * Changed maintainer's email address.
  * Bumped debhelper compat to 9 (Closes: #817478).
  * Enabled Debian hardening options.
  * Rewrote debian/rules to use the newer simpler format.
  * Changed Makefile to use DESTDIR variable.
  * Updated watch file to use the new format for SourceForge.
  * Bumped standards version to 3.9.8.
  * Switched to quilt 3.0 format.

 -- Andreas "Jimmy" Gredler <jimmy@grml.org>  Sun, 13 Nov 2016 18:55:43 -0800

gkrellshoot (0.4.4-1) unstable; urgency=low

  * New upstream release (closes Bug #400592).

 -- Andreas "Jimmy" Gredler <jimmy@g-tec.co.at>  Sat,  9 Dec 2006 14:14:55 +0100

gkrellshoot (0.4.3-3) unstable; urgency=medium

  * Package depends on gkrellm instead of gkrellm-common (closes Bug #350380).

 -- Andreas "Jimmy" Gredler <jimmy@g-tec.co.at>  Tue, 31 Jan 2006 22:51:58 +0100

gkrellshoot (0.4.3-2) unstable; urgency=medium

  * Package now depends on imagemagick (Closes: #313318). 

 -- Andreas "Jimmy" Gredler <jimmy@g-tec.co.at>  Mon, 13 Jun 2005 16:34:59 +0200

gkrellshoot (0.4.3-1) unstable; urgency=low

  * New upstream release

 -- Andreas "Jimmy" Gredler <jimmy@g-tec.co.at>  Sat, 20 Nov 2004 18:54:35 +0100

gkrellshoot (0.4.2-1) unstable; urgency=low

  * New upstream release.
  * Added debian/watch file.

 -- Andreas "Jimmy" Gredler <jimmy@g-tec.co.at>  Wed,  3 Nov 2004 14:10:41 +0100

gkrellshoot (0.4.1-1) unstable; urgency=low

  * Initial Release (closes Bug #241565).

 -- Andreas "Jimmy" Gredler <jimmy@g-tec.co.at>  Sun, 14 Mar 2004 14:29:12 +0100

=== debian/control ===
Source: gkrellshoot
Section: x11
Priority: optional
Maintainer: Adrian Bunk <bunk@debian.org>
Build-Depends: debhelper (>= 9.0.0), pkg-config, libgtk2.0-dev, gkrellm (>= 2.2.7-6)
Standards-Version: 3.9.8
Homepage: http://gkrellshoot.sourceforge.net/

Package: gkrellshoot
Enhances: gkrellm
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, gkrellm (>= 2.2.7-6), imagemagick
Recommends: xscreensaver
Description: Plugin for gkrellm to lock the screen and make screenshots
 This plugin gives easy access to screenlock and screenshot facilities.
 For screenshot it uses ImageMagick. The plugin displays animations
 (like a screensaver) along with 'Lock' and 'Shoot' buttons to be
 clicked on. With the 'Shoot' button one can either grab a window,
 selected area or the whole screen. It's also possible to delay the
 screenshot by a given number of seconds. Another feature is that
 grabbed images can be viewed with your preferred image viewer. Pressing
 'Lock' button will lock the screen and start your screen saver. (You
 need to have xscreensaver installed to use this feature.)

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND = -std=gnu17

%:
	dh $@

override_dh_auto_install:
	dh_auto_install -- INSTALL='install --strip-program=true'

=== debian/watch ===
version=3
http://sf.net/gkrellshoot/gkrellshoot-(\d\S*)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
